﻿using Presenter;

namespace View.Collections {
	public class ScoreViewCollection : IScoreView {
		private readonly IScoreView[] _inputs;

		public ScoreViewCollection(IScoreView[] inputs) {
			_inputs = inputs;
		}

		public void UpdateView(int score) {
			foreach (IScoreView input in _inputs)
				input.UpdateView(score);
		}
	}
}